Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1059928 - script to migrate status data from bz db to hwcert db
Summary: script to migrate status data from bz db to hwcert db
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Hardware Catalog
Version: 5.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Tony Fu
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1053351
TreeView+ depends on / blocked
 
Reported: 2014-01-31 00:44 UTC by Tony Fu
Modified: 2014-03-14 05:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-14 05:00:16 UTC


Attachments (Terms of Use)
script to generate status data migration sql file (deleted)
2014-01-31 00:47 UTC, Tony Fu
no flags Details
script to generate status data migration sql file (deleted)
2014-01-31 06:25 UTC, Tony Fu
no flags Details
sql to add status field in hwcert db (deleted)
2014-02-03 07:51 UTC, Tony Fu
no flags Details
script to generate status data migration sql file (deleted)
2014-02-05 07:42 UTC, Tony Fu
no flags Details
script to generate status data migration sql file (deleted)
2014-02-14 03:19 UTC, Tony Fu
no flags Details
script to generate status data migration sql file (deleted)
2014-02-24 06:59 UTC, Tony Fu
no flags Details
script to generate status data migration sql file (deleted)
2014-02-27 12:49 UTC, Tony Fu
no flags Details

Description Tony Fu 2014-01-31 00:44:17 UTC
Description of problem:


As part of the data migration for public view, we need to move spec url field from bz db to hwcert db.

Comment 1 Tony Fu 2014-01-31 00:47:35 UTC
Created attachment 857675 [details]
script to generate status data migration sql file

Usage: perl field_migration.pl status

Result: a new status.sql file is generated on current dir.

Comment 2 Tony Fu 2014-01-31 06:25:46 UTC
Created attachment 857715 [details]
script to generate status data migration sql file

after talking with Rob, we need a separate script to migrate status which need special treatment.

Comment 3 Rob Landry 2014-01-31 17:41:12 UTC
Comment on attachment 857715 [details]
script to generate status data migration sql file

Please add some commentary for the functions.  Specifically in the areas about the parent bugs and the status changes.  The point is for a developer who is unfamiliar with the current behavior of status to understand why these are present.

Comment 4 Tony Fu 2014-02-03 07:51:32 UTC
Created attachment 858439 [details]
sql to add status field in hwcert db

Comment 5 Tony Fu 2014-02-05 07:42:16 UTC
Created attachment 859505 [details]
script to generate status data migration sql file

fixed a bug in previous script

Comment 6 Tony Fu 2014-02-14 03:19:06 UTC
Created attachment 863076 [details]
script to generate status data migration sql file

Comment 7 Tony Fu 2014-02-24 06:59:09 UTC
Created attachment 866876 [details]
script to generate status data migration sql file

Comment 8 Tony Fu 2014-02-27 12:49:59 UTC
Created attachment 868506 [details]
script to generate status data migration sql file

Comment 9 Feng Wang 2014-03-04 06:59:23 UTC
verified on partner.

Comment 10 Tony Fu 2014-03-14 05:00:16 UTC
verified on live


Note You need to log in before you can comment on or make changes to this bug.